%define module	Algorithm-Diff
%define name	perl-%{module}
%define version 1.15
%define release 3mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Compute `intelligent' differences between two files / lists
License:	GPL or Artistic
Group:		Development/Perl
Source:		http://search.cpan.org/CPAN/authors/id/N/NE/NEDKONZ/%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRoot:	%{_tmppath}/%{name}-buildroot/
%if %{mdkversion} < 1010
Buildrequires:	perl-devel
%endif
Buildarch:	noarch

%description
This module compute `intelligent' differences between two files / lists.

%prep
%setup -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/*
%{_mandir}/*/*

%changelog
* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.15-3mdk
- fix buildrequires in a backward compatible way

* Wed Jul 21 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.15-2mdk 
- rpmbuildupdate aware

* Wed Jan 07 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.15-1mdk
- first mdk release
